// Type: System.ComponentModel.Composition.Primitives.ComposablePartCatalog
// Assembly: System.ComponentModel.Composition, Version=2.0.5.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35
// Assembly location: c:\Program Files (x86)\Microsoft SDKs\Silverlight\v4.0\Libraries\Client\System.ComponentModel.Composition.dll

using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;

namespace System.ComponentModel.Composition.Primitives
{
    [DebuggerTypeProxy(typeof (ComposablePartCatalogDebuggerProxy))]
    public abstract class ComposablePartCatalog : IDisposable
    {
        public abstract IQueryable<ComposablePartDefinition> Parts { get; }

        #region IDisposable Members

        public void Dispose();

        #endregion

        public virtual IEnumerable<Tuple<ComposablePartDefinition, ExportDefinition>> GetExports(
            ImportDefinition definition);

        protected virtual void Dispose(bool disposing);
    }
}
