﻿using System.ComponentModel.Composition;
using AlbumBrowser.Core;

namespace AlbumBrowser.Services
{
    [Export(typeof(IInfoService))]
    public class DefaultInfoService : IInfoService
    {
        public DefaultInfoService()
        {
            
        }

        public string Name
        {
            get { return "Default Info Service"; }
        }

        [Import(AllowDefault = true)]
        public ILyricsService LyricsService { get; set; }

    }
}