// Type: System.ComponentModel.Composition.Hosting.DeploymentCatalog
// Assembly: System.ComponentModel.Composition.Initialization, Version=2.0.5.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35
// Assembly location: c:\Program Files (x86)\Microsoft SDKs\Silverlight\v4.0\Libraries\Client\System.ComponentModel.Composition.Initialization.dll

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.Composition.Primitives;
using System.Linq;
using System.Net;

namespace System.ComponentModel.Composition.Hosting
{
    public class DeploymentCatalog : ComposablePartCatalog, INotifyComposablePartCatalogChanged
    {
        public DeploymentCatalog();
        public DeploymentCatalog(string uriRelative);
        public DeploymentCatalog(Uri uri);
        public override IQueryable<ComposablePartDefinition> Parts { get; }
        public Uri Uri { get; }

        #region INotifyComposablePartCatalogChanged Members

        public event EventHandler<ComposablePartCatalogChangeEventArgs> Changed;
        public event EventHandler<ComposablePartCatalogChangeEventArgs> Changing;

        #endregion

        public override IEnumerable<Tuple<ComposablePartDefinition, ExportDefinition>> GetExports(
            ImportDefinition definition);

        public void CancelAsync();
        public void DownloadAsync();
        protected virtual void OnChanged(ComposablePartCatalogChangeEventArgs e);
        protected virtual void OnChanging(ComposablePartCatalogChangeEventArgs e);
        protected virtual void OnDownloadCompleted(AsyncCompletedEventArgs e);
        protected virtual void OnDownloadProgressChanged(DownloadProgressChangedEventArgs e);
        protected override void Dispose(bool disposing);
        public event EventHandler<AsyncCompletedEventArgs> DownloadCompleted;
        public event EventHandler<DownloadProgressChangedEventArgs> DownloadProgressChanged;
    }
}
